Bug 1655724 - need pyflakes in eng-rhel-8 for python2 software [NEEDINFO]
Summary: need pyflakes in eng-rhel-8 for python2 software
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pyflakes
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Sandro Bonazzola
QA Contact: rhel8-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 19:00 UTC by David Cantrell
Modified: 2019-03-05 23:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 12:55:02 UTC
Type: Bug
Target Upstream Version:
sbonazzo: needinfo? (rhel8-maint)


Attachments (Terms of Use)

Description David Cantrell 2018-12-03 19:00:26 UTC
Currently rpmdiff needs pyflakes for Python 2.x for its test suite.  Conversion to Python 3.x is underway, but is lower priority than functional changes for RHEL-8.  In the interim, I would like to have the current build and runtime requirements for rpmdiff either in RHEL-8 BUILDROOT or the eng-rhel-8 internal collection.  rpmdiff does not ship, so this is only needed for internal usage.

See also:
https://projects.engineering.redhat.com/browse/RCM-46526

Thanks.

Comment 1 Sandro Bonazzola 2018-12-06 07:42:03 UTC
rhel8-maint, can someone from PMs and QE review and ack?
I can work on this and build both python 3 and python 2 version of pyflakes.

Comment 2 Troy Dawson 2018-12-06 14:35:01 UTC
I'm giving this the QE flag, since I'm on rhel8-maint.  But I don't feel comfortable adding the PM flag.
I thought that we had a different build queue and repo for eng so they didn't have to pull packages into the RHEL8 buildroot.  Something like 
eng-rhel-8{-candidate,-build} 
If that is the case, shouldn't this be on the branch that corresponds with that eng build tag.  And as a result, shouldn't need these ack's to be built.

Comment 3 David Cantrell 2018-12-06 18:28:56 UTC
(In reply to Troy Dawson from comment #2)
> I'm giving this the QE flag, since I'm on rhel8-maint.  But I don't feel
> comfortable adding the PM flag.
> I thought that we had a different build queue and repo for eng so they
> didn't have to pull packages into the RHEL8 buildroot.  Something like 
> eng-rhel-8{-candidate,-build} 
> If that is the case, shouldn't this be on the branch that corresponds with
> that eng build tag.  And as a result, shouldn't need these ack's to be built.

That does exist, but since pyflakes exists for rhel-8.0.0, I wanted to ask the owner/maintainer of that package how they would like to proceed.  It does not make a difference to me where it's built so long as its available.  I would like to avoid surprises and avoid duplicating work.  If it can be built as part of the rhel8 package build and left lying around in buildroot, that works for me...so long as the maintainer is ok with that.  Failing that, I would open a ticket and request the eng-rhel-8 branch.

Comment 4 Sandro Bonazzola 2018-12-17 12:54:45 UTC
looking at past bugs on pyflakes, bug #1594150 required to drop python2 from the RHEL 8 branch. I'm going to close this wontfix. Please go ahead with eng-rhel-8 branch


Note You need to log in before you can comment on or make changes to this bug.